<?php

/*
  Plugin Name: Float content
  Plugin URI: http://cyberscriptsolutions.com/
  Description: Float content plugin.
  Version: 0.1.1.1
  Author: cyberscriptsolutions
  Author URI: http://cyberscriptsolutions.com/
  License: GPLv2 or later
  License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

if ( ! defined('ABSPATH') ) {
	die('No direct access!');
}

function cyber_floatcontent_activation() {

}

register_activation_hook(__FILE__, 'cyber_floatcontent_activation');

function cyber_floatcontent_deactivation() {

}

register_deactivation_hook(__FILE__, 'cyber_floatcontent_deactivation');

if ( !is_admin() )
{
    add_action('wp_enqueue_scripts', 'cyber_fc_scripts');
}

function cyber_fc_scripts() {
    global $post;
    if( !is_admin() )
    {
        wp_enqueue_script( 'jquery' );
        wp_register_script('floating', plugins_url('js/floating-1.12.js', __FILE__));
        wp_enqueue_script('floating');

        wp_localize_script('slidesjs_init', 'setting', $config_array);
    }
    function print_cyber_disp_page_script() {
       echo $modstartpos =  get_option('cyber_disp_position');
       echo $targetleft =  get_option('cyber_targetleft');
       echo $targetright =  get_option('cyber_targetright');
       echo $targettop =  get_option('cyber_targetop');
       echo $targetbottom =  get_option('cyber_targetbot');
       
     ?>
     <script>
         
        floatingMenu.add('nkfloat',  
        {  
		<?php if($modstartpos==1) { ?>
				targetLeft: <?php echo $targetleft ?>,
				targetTop: <?php echo $targettop ?>,  
		<?php }  elseif($modstartpos==2) { ?>
				targetTop: <?php echo $targettop ?>,
				targetRight: <?php echo $targetright ?>,
				  
		<?php }  elseif($modstartpos==3) { ?>
				targetLeft: <?php echo $targetleft ?>,
				targetBottom: <?php echo $targetbottom ?>,  
		<?php }  elseif($modstartpos==4) { ?>
				targetRight: <?php echo $targetright ?>,
				targetBottom: <?php echo $targetbottom ?>,  
		<?php }  elseif($modstartpos==5) { ?>
				/* //targetLeft: <?php echo $targetleft ?>,
				//centerX: true,  */ 
				centerY: true, 
		<?php }  elseif($modstartpos==6) { ?>
				targetRight: <?php echo $targetright ?>,
				centerY: true,  
		<?php }  elseif($modstartpos==8) { ?>
				centerX: true, 
				targetBottom: <?php echo $targetbottom ?>,
		<?php }   elseif($modstartpos==7) { ?>
				centerX: true,
				targetTop: <?php echo $targettop ?>,				
		<?php } else { ?>
                                /* //targetRight: 10, */
                                targetTop: <?php echo $targettop ?>,
                <?php } ?>
				
            /* // Represents distance from left or right browser window  
            // border depending upon property used. Only one should be  
            // specified.  
            //   targetLeft: 30,
            //targetRight: 10,  
  
            // Represents distance from top or bottom browser window  
            // border depending upon property used. Only one should be  
            // specified.  
            //targetTop: 10,
            // targetBottom: 0,  
  
            // Uncomment one of those if you need centering on  
            // X- or Y- axis.  
            // centerX: true,  
            // centerY: true,  
  
            // Remove this one if you don't want snap effect  */ 
            snap: true  
        });
        
           jQuery(document).ready(function(){
               jQuery("#cyber_cloase_btn").click(function(){
                   jQuery("#nkfloat").css({"display":"none"});
               });
           });
     </script>   
    <?php
    }
    add_action( 'wp_footer', 'print_cyber_disp_page_script' );

}

add_action('wp_enqueue_scripts', 'cyber_fc_styles');

function cyber_fc_styles() {
    wp_register_style('custom', plugins_url('css/custom.css', __FILE__));
    wp_enqueue_style('custom');
}

//add_shortcode("cyber_floatcontent", "cyber_fcdisplay_floatcontent");
add_action('wp_footer','cyber_fcdisplay_floatcontent');

function cyber_fcdisplay_floatcontent() {
   
    $plugins_url = plugins_url();
    
    $content = (get_option('cyber_shortcode'));
     
    $html = '<div id="nkfloat" style="position:absolute;overflow-y: auto;top:10px;  padding:16px; background:#ffffff;  border:2px solid #2266AA;  z-index:100"> <div id="cyber_cloase_btn"></div> ';
    
    $html .=strip_tags($content);
   
    $html .= '</div>';
    
    $cyber_page_show = get_option('cyber_page_show');
    if(in_array(get_the_ID(), $cyber_page_show)){
        echo $html;
    }
}
function cyber_fcfront_custom_style() {
    $cyber_height =  get_option('cyber_height');
    $cyber_width =  get_option('cyber_width');
     echo '<style type="text/css">
		   /* Styles here! */
              #nkfloat{ width:'.$cyber_width.' !important; height:'.$cyber_height.' !important;}
              
           ';
}
add_action("wp_head","cyber_fcfront_custom_style");
function cyber_fcadmin_custom_style() {
	
	   echo '<style type="text/css">
		   /* Styles here! */                   
                   
                   .cyber_wrap table {
	
                    }
                    .cyber_wrap tr {
                        background-color: #fff;
                        border-bottom: 2px solid #eee;
                    }
                    .cyber_wrap label {
                        width: 21%;
                        display: inline-block;
                        text-align: center;
                    }
                    .cyber_wrap tr td {
                        width: 76%;
                        display: block;
                    }
                    .cyber_wrap tr select {
                        width: 19%;
                    }
                    .cyber_wrap tr p {
                        display: inline-block;
                        padding-left: 5%;
                        color:#359035;
                    }    
                    .premiumv {
                    color:#aa559a;
                    }
                    .pprice {
                        color: rgba(236, 0, 0, 0.99);
                        font-weight: bold;
                        display:inline-block;;
                    }
                    span.prem-options {
                        color:green;
                    }
		 </style>';
   
}

add_action('admin_head', 'cyber_fcadmin_custom_style');

add_filter('manage_edit-slidesjs_slider_columns', 'cyber_set_custom_edit_slidesjs_slider_columns');
add_action('manage_slidesjs_slider_posts_custom_column', 'cyber_custom_slidesjs_slider_column', 10, 2);

function cyber_set_custom_edit_slidesjs_slider_columns($columns) {
    return $columns
    + array('floatcontentr_shortcode' => __('Shortcode'));
}

function cyber_custom_slidesjs_slider_column($column, $post_id) {

    switch ($column) {
        case 'floatcontent_shortcode':
            echo "[cyber_floatcontent  /]";
            break;
    }
}

add_action('admin_menu', 'cyber_fcplugin_settings');

function cyber_fcplugin_settings() {
    //creecho ate new top-level menu
    add_menu_page('Floating Content', 'Floating Content', 'administrator', 'cyber_settings', 'cyber_fcdisplay_settings');
}

function cyber_fcdisplay_settings() {
    
    
     $cyber_shortcode = (get_option('cyber_shortcode') != '') ? get_option('cyber_shortcode') : '';
    
    $cyber_tdisp_position = (get_option('cyber_disp_position') == 1) ? 'selected' : '';
    $cyber_disp_position = (get_option('cyber_disp_position') == 0) ? 'selected' : '';
    
    
    $cyber_targetleft = (get_option('cyber_targetleft') != '') ? get_option('cyber_targetleft') : '30';
    $cyber_targetright = (get_option('cyber_targetright') != '') ? get_option('cyber_targetright') : '10';
    $cyber_targetop = (get_option('cyber_targetop') != '') ? get_option('cyber_targetop') : '0';
    $cyber_targetbot = (get_option('cyber_targetbot') != '') ? get_option('cyber_targetbot') : '0.01';
    $cyber_width = (get_option('cyber_width') != '') ? get_option('cyber_width') : '24%';
    $cyber_height = (get_option('cyber_height') != '') ? get_option('cyber_height') : '67%';
   

    $cyber_disp_id = get_option('cyber_disp_position');
    $cyber_page_show = get_option('cyber_page_show');
    //print_r($cyber_page_show);
    $args = array(
	'sort_order' => 'asc',
	'hierarchical' => 1,	
	'post_type' => 'page',
	'post_status' => 'publish'
    ); 
    $pagelist = get_pages($args);

$display_arr = array(
    '0'=>array(
        'id'=>1,
        'title'=>'Display on Left Top Corner'
    ),
    '1'=>array(
        'id'=>2,
        'title'=>'Display on Right Top Corner'
    ),
    '2'=>array(
        'id'=>3,
        'title'=>'Display on Left Bottom Corner'
    ),
    '3'=>array(
        'id'=>4,
        'title'=>'Display on Right Bottom Corner'
    ),
    '4'=>array(
        'id'=>5,
        'title'=>'Display on Center Left'
    ),
    '5'=>array(
        'id'=>6,
        'title'=>'Display on Center Right'
    ),
    '6'=>array(
        'id'=>7,
        'title'=>'Display on Center Top'
    ),
    '7'=>array(
        'id'=>8,
        'title'=>'Display on Center Bottom'
    )
);


    $html = '<div class="cyber_wrap">
            <h2>Float Content</h2>
           
            <p>Need Help!- write us @ mail@cyberscriptsolutions.com </p></p>
            
            <h2 class="premiumv"> - Availabe in Premium version- </h2>
            
            <span class="prem-options">-- Float your page content in front-end --</span><br>
            <span class="prem-options">-- Float your post content in front-end --</span><br>
            <span class="prem-options">-- Float any wordpress plugin in the front end by their shortcode --</span><br><br>
            <a href="http://wpdemo.cyberscriptsolutions.com/float-content" class="pprice"> See premium version Demo </a><br><br>
            <a href="http://www.cyberscriptsolutions.com/float-content.html" class="pprice">Get Premium version of this plugin</a><br>
            <span> <b>Technical Support will be available in premium version. </b></span>
            

            <form method="post" name="options" action="options.php">

            <h3>Settings</h3>' . wp_nonce_field('update-options') . '
            <table width="100%" cellpadding="10" class="form-table">
                
                <tr>
                    <td align="left" scope="row">
                    <label>Show this plugin on pages, Select page</label>
                    <select name="cyber_page_show[]" multiple="multiple">';
                        foreach ($pagelist as $page) {
                             $html .='<option value="'.$page->ID.'" ';
                             $html .=   (in_array($page->ID, $cyber_page_show)) ? 'selected': '';
                             $html .='>'.$page->post_title.'</option>';           
                        }
                             $html .=  '</select>    
                    <p> Select a page to float it\'s content.  </p>
                    </td> 
                </tr>
                
               <tr>
                    <td align="left" scope="row">
                    <label>Put Text to float </label><textarea name="cyber_shortcode" value="' . $cyber_shortcode . '" >'. $cyber_shortcode .'</textarea>
                    <p> Float this content on front-end. </p> </td> 
                </tr>
                
                
                <tr>
                    <td align="left" scope="row">
                    <label>Display Position</label>
                    <select name="cyber_disp_position" >';
                       foreach($display_arr as $disp){      
                         $html .='<option value="'.$disp['id'].'"';
                         $html .=   ($cyber_disp_id == $disp['id']) ? 'selected': '';
                         $html .='>'.$disp['title'].'</option>';  
                       }
                $html .= '</select>
             

                <p> Choose where to display floating content. </p> </td> 
                </tr>
                                
                <tr>
                    <td align="left" scope="row">
                    <label>Target Left</label><input type="text" name="cyber_targetleft" value="' . $cyber_targetleft . '" />
                    <p> Set the value of Target Left  </p> </td> 
                </tr>
                <tr>
                    <td align="left" scope="row">
                    <label>Target Right</label><input type="text" name="cyber_targetright" value="' . $cyber_targetright . '" />
                    <p> Min height of the viewer in inline mode </p> </td> 
                </tr>
                <tr>
                    <td align="left" scope="row">
                    <label>Target Top</label><input type="text" name="cyber_targetop" value="' . $cyber_targetop . '" />
                    <p> Define the ratio when zoom the image by wheeling mouse </p> </td> 
                </tr>
                <tr>
                    <td align="left" scope="row">
                    <label>Target Bottom</label><input type="text" name="cyber_targetbot" value="' . $cyber_targetbot . '" />
                    <p> Define the min ratio of the image when zoom out </p> </td> 
                </tr>
               
                 <tr>
                    <td align="left" scope="row">
                    <label>Width</label><input type="text" name="cyber_width" value="' . $cyber_width . '" />
                    <p> Set Width in "px" or "%"  </p> </td> 
                </tr>
                <tr>
                    <td align="left" scope="row">
                    <label>Height</label><input type="text" name="cyber_height" value="' . $cyber_height . '" />
                    <p> Set Height in "px" or "%"  </p> </td> 
                </tr>
                
                
            </table>
            <p class="submit">
                <input type="hidden" name="action" value="update" />  
                <input type="hidden" name="page_options" value="cyber_shortcode,cyber_height,cyber_width, cyber_targetbot,cyber_targetop,cyber_targetright,cyber_targetleft,cyber_disp_position,cyber_page_show" /> 
                <input type="submit" name="Submit" value="Update" />
            </p>
            </form>

        </div>';
    echo $html;
}
?>